<template>
    <el-config-provider v-bind="globalConfig">
        <router-view/>
    </el-config-provider>
</template>

<script setup>
import {computed, onBeforeUnmount, onMounted, reactive} from "vue";
import {createDebugger, destroyDebugger} from "src/utils/debugger/eruda";
import {useGlobalConfig} from "src/store/globalConfig";

const globalConfig = computed(()=>useGlobalConfig().$state.ui)

onMounted(()=>{
    createDebugger()
})

onBeforeUnmount(()=>{
    destroyDebugger()
})
</script>
